Update address - customer context - Fabric

Update address - customer context

cURL

curl --request PUT \
  --url https://api.fabric.inc/v3/customers/self/customer-address/{addressId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "address": {
    "type": "BILLING",
    "addressLine1": "123 Main St.",
    "addressLine2": "Suite 100",
    "addressLine3": "Seventh floor",
    "addressLine4": "Attention: Pat E. Doe",
    "city": "Seattle",
    "region": "WA",
    "postalCode": 98121,
    "county": "King County",
    "country": "US",
    "latitude": 47.6205,
    "longitude": -122.3493
  },
  "isDefault": false,
  "additionalAttributes": {
    "landmark": "Beach"
  }
}
'

Python Example:

import requests

url = "https://api.fabric.inc/v3/customers/self/customer-address/{addressId}"

payload = {
    "address": {
        "type": "BILLING",
        "addressLine1": "123 Main St.",
        "addressLine2": "Suite 100",
        "addressLine3": "Seventh floor",
        "addressLine4": "Attention: Pat E. Doe",
        "city": "Seattle",
        "region": "WA",
        "postalCode": 98121,
        "county": "King County",
        "country": "US",
        "latitude": 47.6205,
        "longitude": -122.3493
    },
    "isDefault": False,
    "additionalAttributes": { "landmark": "Beach" }
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)

JavaScript Example:

const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    address: {
      type: 'BILLING',
      addressLine1: '123 Main St.',
      addressLine2: 'Suite 100',
      addressLine3: 'Seventh floor',
      addressLine4: 'Attention: Pat E. Doe',
      city: 'Seattle',
      region: 'WA',
      postalCode: 98121,
      county: 'King County',
      country: 'US',
      latitude: 47.6205,
      longitude: -122.3493
    },
    isDefault: false,
    additionalAttributes: {landmark: 'Beach'}
  })
};

fetch('https://api.fabric.inc/v3/customers/self/customer-address/{addressId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP Example:

<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.fabric.inc/v3/customers/self/customer-address/{addressId}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "PUT",
  CURLOPT_POSTFIELDS => json_encode([
    'address' => [
        'type' => 'BILLING',
        'addressLine1' => '123 Main St.',
        'addressLine2' => 'Suite 100',
        'addressLine3' => 'Seventh floor',
        'addressLine4' => 'Attention: Pat E. Doe',
        'city' => 'Seattle',
        'region' => 'WA',
        'postalCode' => 98121,
        'county' => 'King County',
        'country' => 'US',
        'latitude' => 47.6205,
        'longitude' => -122.3493
    ],
    'isDefault' => false,
    'additionalAttributes' => [
        'landmark' => 'Beach'
    ]
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>

Example Response:

{
  "id": "61604a30fdfacd0009816e44",
  "address": {
    "type": "BILLING",
    "addressLine1": "123 Main St.",
    "addressLine2": "Suite 100",
    "addressLine3": "Seventh floor",
    "addressLine4": "Attention: Pat E. Doe",
    "city": "Seattle",
    "region": "WA",
    "postalCode": 98121,
    "county": "King County",
    "country": "US",
    "latitude": 47.6205,
    "longitude": -122.3493
  },
  "isDeleted": false,
  "createdAt": "2023-08-30T23:20:42.822Z",
  "updatedAt": "2023-08-30T23:20:42.822Z",
  "additionalAttributes": {
    "landmark": "Beach"
  },
  "isDefault": false,
  "deletedAt": "2023-08-30T23:20:42.822Z"
}